Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.knowgate.lucene
Class ContactRecord

    java.lang.Object
      com.knowgate.lucene.ContactRecord

    public class ContactRecord

extends java.lang.Object

Nested Class Summary
`static class` | `ContactRecord.CompareAuthor`
`static class` | `ContactRecord.CompareScore`

Field Summary
`static java.lang.String` | `COURSE`
`static java.lang.String` | `DEGREE`
`static java.lang.String` | `LANGUAGE`
`static java.lang.String` | `SCIENCE`
`static java.lang.String` | `SEPARADOR_LEVEL`
`static java.lang.String` | `SEPARADOR_VALUE`

Constructor Summary
`ContactRecord()`
`ContactRecord(java.lang.Float score, java.lang.String author, java.lang.String workarea, java.lang.String gui)`
`ContactRecord(java.lang.Float score, java.lang.String author, java.lang.String workarea, java.lang.String gui, java.lang.String value)`

Method Summary
`void` | `addScore(float score)`
`void` | `addValue(java.lang.String value, java.lang.String level)`
`boolean` | `equals(java.lang.Object obj)`
`java.lang.String` | `getAuthor()`
`java.lang.String` | `getGui()`
`float` | `getScore()`
`java.lang.String` | `getValue()`
`java.util.Map<java.lang.String,java.lang.String>` | `getValues()`
`java.lang.String` | `getWorkarea()`
`int` | `hashCode()`
`void` | `setAuthor(java.lang.String author)`
`void` | `setGui(java.lang.String gui)`
`void` | `setScore(float score)`
`void` | `setValue(java.lang.String value)`
`void` | `setWorkarea(java.lang.String workarea)`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### COURSE

    public static final java.lang.String COURSE

See Also:
  Constant Field Values

### DEGREE

    public static final java.lang.String DEGREE

See Also:
  Constant Field Values

### LANGUAGE

    public static final java.lang.String LANGUAGE

See Also:
  Constant Field Values

### SCIENCE

    public static final java.lang.String SCIENCE

See Also:
  Constant Field Values

### SEPARADOR_VALUE

    public static final java.lang.String SEPARADOR_VALUE

See Also:
  Constant Field Values

### SEPARADOR_LEVEL

    public static final java.lang.String SEPARADOR_LEVEL

See Also:
  Constant Field Values

Constructor Detail

### ContactRecord

    public ContactRecord()

### ContactRecord

    public ContactRecord(java.lang.Float score,
                         java.lang.String author,
                         java.lang.String workarea,
                         java.lang.String gui)

### ContactRecord

    public ContactRecord(java.lang.Float score,
                         java.lang.String author,
                         java.lang.String workarea,
                         java.lang.String gui,
                         java.lang.String value)

Method Detail

### getScore

    public float getScore()

### setScore

    public void setScore(float score)

### addScore

    public void addScore(float score)

### getAuthor

    public java.lang.String getAuthor()

### setAuthor

    public void setAuthor(java.lang.String author)

### getWorkarea

    public java.lang.String getWorkarea()

### setWorkarea

    public void setWorkarea(java.lang.String workarea)

### getGui

    public java.lang.String getGui()

### setGui

    public void setGui(java.lang.String gui)

### getValue

    public java.lang.String getValue()

### getValues

    public java.util.Map<java.lang.String,java.lang.String> getValues()

### setValue

    public void setValue(java.lang.String value)

### addValue

    public void addValue(java.lang.String value,
                         java.lang.String level)

### equals

    public boolean equals(java.lang.Object obj)

  Overrides:
    `equals` in class `java.lang.Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `java.lang.Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD